VESPA-TEST(1)

NAME
vespa-test - Run a test suite, or a single test

SYNOPSIS
vespa test test-directory-or-file [flags]

DESCRIPTION
Run a test suite, or a single test

Runs all JSON test files in the specified directory, or the single JSON test file specified.

See https://docs.vespa.ai/en/reference/applications/testing.html for details.

OPTIONS
-h, --help[=false]
    help for test

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa test src/test/application/tests/system-test
    $ vespa test src/test/application/tests/system-test/feed-and-query.json

SEE ALSO
vespa(1)